import * as $dara from '@darabonba/typescript';
import { CreateNatIpResponseBody } from "./CreateNatIpResponseBody";
export declare class CreateNatIpResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateNatIpResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
